import request from '@/utils/request'

// 查询评价机构分类列表
export function listEvaluateAgencyClass(query) {
  return request({
    url: '/hezhi/evaluateAgencyClass/list',
    method: 'get',
    params: query
  })
}

// 查询评价机构分类详细
export function getEvaluateAgencyClass(evaluateAgencyClassId) {
  return request({
    url: '/hezhi/evaluateAgencyClass/' + evaluateAgencyClassId,
    method: 'get'
  })
}

// 新增评价机构分类
export function addEvaluateAgencyClass(data) {
  return request({
    url: '/hezhi/evaluateAgencyClass',
    method: 'post',
    data: data
  })
}

// 修改评价机构分类
export function updateEvaluateAgencyClass(data) {
  return request({
    url: '/hezhi/evaluateAgencyClass',
    method: 'put',
    data: data
  })
}

// 删除评价机构分类
export function delEvaluateAgencyClass(evaluateAgencyClassId) {
  return request({
    url: '/hezhi/evaluateAgencyClass/' + evaluateAgencyClassId,
    method: 'delete'
  })
}

// 评价机构分类列表
export function getAllEvaluateAgencyClassList() {
  return request({
    url: '/hezhi/evaluateAgencyClass/getAllEvaluateAgencyClassList',
    method: 'get',
  })
}
